The installation and upgrade precheck script runs tests to identify problems on the host machine that can cause an installation, upgrade, or migration to fail.

For interactive installations, upgrades, and migrations, the errors or warnings are displayed on the final panel of the installer, where you are asked to confirm or cancel the installation or upgrade. For scripted installations, upgrades, or migrations, the errors or warnings are written to the installation log.

vSphere Update Manager provides custom messages for these errors or warnings. To see the original errors and warnings returned by the precheck script during an Update Manager host upgrade scan, review the Update Manager log file vmware-vum-server-log4cpp.log.

Error and Warning Codes That Are Returned by the Installation and Upgrade Precheck Script

Error or Warning

Description

64BIT_LONGMODESTATUS

The host processor must be 64-bit.

COS_NETWORKING

Warning. An IPv4 address was found on an enabled Service Console virtual NIC for which there is no corresponding address in the same subnet in the vmkernel. A separate warning will be output for each such occurrence.

CPU_CORES

The host must have at least two cores.

DISTRIBUTED_VIRTUAL_SWITCH

If Cisco's Virtual Ethernet Module (VEM) software is found on the host, the test checks to make sure the upgrade also contains the VEM software, and that it supports the same version of the Virtual Supervisor Module (VSM) as the existing version on the host. If the software is missing or is compatible with a different version of the VSM, the test returns a warning, and the result indicates which version of the VEM software was expected on the upgrade ISO and which version, if any, were found. You can use ESXi Image Builder CLI to create a custom installation ISO that includes the appropriate version of the VEM software.

HARDWARE_VIRTUALIZATION

Warning. If the host processor doesn't have hardware virtualization or if hardware virtualization is not turned on in the host BIOS, host performance will suffer. Enable hardware virtualization in the host machine boot options. See your hardware vendor's documentation.

MD5_ROOT_PASSWORD

This test checks that the root password is encoded in MD5 format. If a password is not encoded in MD5 format, it might be significant only to eight characters. In this case, any characters after the first eight are no longer authenticated after the upgrade, which can create a security issue. To work around this problem, see VMware Knowledge Base article 1024500.

MEMORY_SIZE

The host requires the specified amount of memory to upgrade.

PACKAGE_COMPLIANCE

vSphere Update Manager only. This test checks the existing software on the host against the software contained on the upgrade ISO to determine whether the host has been successfully upgraded. If any of the packages are missing or are an older version than the package on the upgrade ISO, the test returns an error and indicates which software was found on the host, and which software was found on the upgrade ISO.

PARTITION_LAYOUT

Upgrading or migration is possible only if there is at most one VMFS partition on the disk that is being upgraded and the VMFS partition must start after sector 1843200

POWERPATH

This test checks for installation of EMC PowerPath software, consisting of a CIM module and a kernel module. If either of these components is found on the host, the test checks to make sure that matching components (CIM, vmkernel module) also exist in the upgrade. If they do not, the test returns a warning that indicates which PowerPath components were expected on the upgrade ISO and which, if any, were found.

PRECHECK_INITIALIZE

This test checks that the precheck script itself can be run.

SANE_ESX_CONF

The file /etc/vmware/esx.conf must exist on the host.

SPACE_AVAIL_ISO

vSphere Update Manager only. The host disk must have enough free space to store the contents of the installer CD or DVD.

SPACE_AVAIL_CONFIG

vSphere Update Manager only. The host disk must have enough free space to store the 4.x configuration between reboots.

SUPPORTED_ESX_VERSION

Upgrading or migration to ESXi 5.0 is possible only from version 4.x ESXi or ESX hosts.

TBOOT_REQUIRED

This message applies only to vSphere Update Manager upgrades. The upgrade fails with this error when the host system is running in Trusted Boot mode (tboot), but the ESXi upgrade ISO does not contain any tboot VIBs. This test prevents an upgrade that can make the host less secure.

UNSUPPORTED_DEVICES

Warning. This test checks for unsupported devices. Some PCI devices are not supported in ESXi 5.0.

UPDATE_PENDING

This test checks the 4.x host for VIB installations that require a reboot. This test fails if one or more such VIBs is installed, but the host has not yet been rebooted. In these conditions, the precheck script is unable to reliably determine which packages are currently installed on the host, so it might not be safe to rely on the rest of the precheck tests to determine whether an upgrade is safe.

If you encounter this error, restart the host and retry the upgrade.